clc();
clear('all');

% Using socket connection (port 18)
%obj = tcpip('192.168.1.74', 18);
%fopen(obj);

% Using VXI-11 connection and NI VISA
%obj = visa('ni', 'TCPIP::192.168.1.74::inst0::INSTR');
%fopen(obj);
%set(obj, 'EOSMode', 'read&write')

% Using VXI-11 connection and Agilent VISA
obj = visa('agilent', 'TCPIP::192.168.1.74::inst0::INSTR');
fopen(obj);
set(obj, 'EOSMode', 'read&write')

% Query *IDN? string
out = query(obj, '*IDN?');
fprintf('*IDN? response: %s\n', out);

% Change output frequency
fprintf(obj, 'FREQ 987654321');

fclose(obj);